> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Reference Item Components



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-items/{referenceItemId}/components
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/reference-items/{referenceItemId}/components:
    get:
      tags:
        - Collections
      summary: Find Reference Item Components
      operationId: CollectionsController_findReferenceItemComponents_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
        - name: referenceItemId
          required: true
          in: path
          schema:
            type: string
        - name: cursor
          required: false
          in: query
          schema:
            minLength: 1
            maxLength: 512
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 50
            default: 50
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionReferenceItemComponentsPageDto'
      security:
        - bearer: []
components:
  schemas:
    CollectionReferenceItemComponentsPageDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionReferenceItemComponentDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    CollectionReferenceItemComponentDto:
      type: object
      properties:
        id:
          type: string
        referenceItemId:
          type: string
        catalogItemId:
          type: string
        catalogItemType:
          type: object
        kind:
          enum:
            - material
            - part
          type: string
        catalogFamilySourceId:
          type: string
          nullable: true
        brandStandardId:
          type: string
          nullable: true
        name:
          type: string
        imageUrl:
          type: string
          nullable: true
        referenceLabel:
          type: string
          nullable: true
        manufacturerName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        quantity:
          type: string
        source:
          type: string
          enum:
            - direct
            - inherited
        position:
          type: number
          nullable: true
        version:
          type: number
          nullable: true
      required:
        - id
        - referenceItemId
        - catalogItemId
        - catalogItemType
        - kind
        - catalogFamilySourceId
        - brandStandardId
        - name
        - imageUrl
        - referenceLabel
        - manufacturerName
        - sourceLabel
        - quantity
        - source
        - position
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````